Bug 303401 - Amarok crashes randomly, not having changed any metadata
Summary: Amarok crashes randomly, not having changed any metadata
Status: RESOLVED DUPLICATE of bug 290706
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.5.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-12 10:47 UTC by marcel
Modified: 2012-07-16 22:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (23.75 KB, text/plain)
2012-07-15 14:35 UTC, o.siess
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marcel 2012-07-12 10:47:26 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-27-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

writing on Libre Office and gedit
open Firefox
open Thunderbird

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f018be54780 (LWP 2744))]

Thread 15 (Thread 0x7f017028c700 (LWP 2745)):
#0  0x00007f0188745b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0183345036 in g_main_context_poll (n_fds=1, fds=0x7f01680010e0, timeout=-1, context=0x16414d0, priority=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3440
#2  g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x16414d0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3141
#3  g_main_context_iterate (context=0x16414d0, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#4  0x00007f018334549a in g_main_loop_run (loop=0x7f01680010c0) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3340
#5  0x00007f017029198b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#6  0x00007f01833669e5 in g_thread_proxy (data=0x163b5e0) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#7  0x00007f0184e62e9a in start_thread (arg=0x7f017028c700) at pthread_create.c:308
#8  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f016fa8b700 (LWP 2746)):
#0  0x00007f0184e64f69 in __pthread_mutex_lock (mutex=0x7f016800ff70) at pthread_mutex_lock.c:92
#1  0x00007f01833805a1 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthread-posix.c:208
#2  0x00007f018334501b in g_main_context_poll (n_fds=3, fds=0x7f01600010c0, timeout=-1, context=0x7f016800feb0, priority=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3435
#3  g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x7f016800feb0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3141
#4  g_main_context_iterate (context=0x7f016800feb0, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#5  0x00007f018334549a in g_main_loop_run (loop=0x7f016800fe60) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3340
#6  0x00007f01746a5406 in gdbus_shared_thread_func (user_data=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gio/gdbusprivate.c:277
#7  0x00007f01833669e5 in g_thread_proxy (data=0x7f016800c540) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#8  0x00007f0184e62e9a in start_thread (arg=0x7f016fa8b700) at pthread_create.c:308
#9  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f014abea700 (LWP 2752)):
#0  0x00007f0188745b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0183345036 in g_main_context_poll (n_fds=1, fds=0x7f01440021e0, timeout=-1, context=0x7f01440009e0, priority=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3440
#2  g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x7f01440009e0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3141
#3  g_main_context_iterate (context=0x7f01440009e0, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#4  0x00007f0183345164 in g_main_context_iteration (context=0x7f01440009e0, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#5  0x00007f01890dc426 in QEventDispatcherGlib::processEvents (this=0x7f0144000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f01890abc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f01890abed7 in QEventLoop::exec (this=0x7f014abe9dd0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f0188faafa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f018908b9ff in QInotifyFileSystemWatcherEngine::run (this=0x1d4e990) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f0188fadfcb in QThreadPrivate::start (arg=0x1d4e990) at thread/qthread_unix.cpp:298
#11 0x00007f0184e62e9a in start_thread (arg=0x7f014abea700) at pthread_create.c:308
#12 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f0143fff700 (LWP 2753)):
#0  0x00007f01887440bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f018337f8cf in read (__nbytes=16, __buf=0x7f0143ffec80, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x7f01440019a0) at /build/buildd/glib2.0-2.32.3/./glib/gwakeup.c:212
#3  0x00007f0183344ba4 in g_main_context_check (context=0x7f013c0009a0, max_priority=2147483647, fds=0x7f013c0021c0, n_fds=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:2980
#4  0x00007f0183344fd6 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x7f013c0009a0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3143
#5  g_main_context_iterate (context=0x7f013c0009a0, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#6  0x00007f0183345164 in g_main_context_iteration (context=0x7f013c0009a0, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#7  0x00007f01890dc426 in QEventDispatcherGlib::processEvents (this=0x7f013c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007f01890abc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f01890abed7 in QEventLoop::exec (this=0x7f0143ffee00, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f0188faafa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007f0188fadfcb in QThreadPrivate::start (arg=0x1f7f8a0) at thread/qthread_unix.cpp:298
#12 0x00007f0184e62e9a in start_thread (arg=0x7f0143fff700) at pthread_create.c:308
#13 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f01431da700 (LWP 2754)):
#0  __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f0134000a60) at pthread_mutex_unlock.c:290
#2  0x00007f01833805d1 in g_mutex_unlock (mutex=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthread-posix.c:227
#3  0x00007f018334483b in g_main_context_prepare (context=0x7f01340009a0, priority=0x7f01431d9ce8) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:2834
#4  0x00007f0183344f5b in g_main_context_iterate (dispatch=1, block=1, context=0x7f01340009a0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3126
#5  g_main_context_iterate (context=0x7f01340009a0, block=1, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#6  0x00007f0183345164 in g_main_context_iteration (context=0x7f01340009a0, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#7  0x00007f01890dc426 in QEventDispatcherGlib::processEvents (this=0x7f01340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007f01890abc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f01890abed7 in QEventLoop::exec (this=0x7f01431d9e00, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f0188faafa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007f0188fadfcb in QThreadPrivate::start (arg=0x1fb1f10) at thread/qthread_unix.cpp:298
#12 0x00007f0184e62e9a in start_thread (arg=0x7f01431da700) at pthread_create.c:308
#13 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f01425ce700 (LWP 2756)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0188fae4db in wait (time=18446744073709551615, this=0x21165e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2116760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f01863f70eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2116490, th=0x2117530) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f01863f99db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x2117530) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f01863f884f in ThreadWeaver::ThreadRunHelper::run (this=0x7f01425cde20, parent=0x2116490, th=0x2117530) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f01863f88db in ThreadWeaver::Thread::run (this=0x2117530) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0188fadfcb in QThreadPrivate::start (arg=0x2117530) at thread/qthread_unix.cpp:298
#8  0x00007f0184e62e9a in start_thread (arg=0x7f01425ce700) at pthread_create.c:308
#9  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0141078700 (LWP 2757)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0188fae4db in wait (time=18446744073709551615, this=0x21165e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2116760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f01863f70eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2116490, th=0x23a01d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f01863f99db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x23a01d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f01863f884f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0141077e20, parent=0x2116490, th=0x23a01d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f01863f88db in ThreadWeaver::Thread::run (this=0x23a01d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0188fadfcb in QThreadPrivate::start (arg=0x23a01d0) at thread/qthread_unix.cpp:298
#8  0x00007f0184e62e9a in start_thread (arg=0x7f0141078700) at pthread_create.c:308
#9  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f0140877700 (LWP 2758)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0188fae4db in wait (time=18446744073709551615, this=0x21165e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2116760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f01863f70eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2116490, th=0x23a28e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f01863f99db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x23a28e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f01863f99f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x23a28e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f01863f884f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0140876e20, parent=0x2116490, th=0x23a28e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f01863f88db in ThreadWeaver::Thread::run (this=0x23a28e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f0188fadfcb in QThreadPrivate::start (arg=0x23a28e0) at thread/qthread_unix.cpp:298
#9  0x00007f0184e62e9a in start_thread (arg=0x7f0140877700) at pthread_create.c:308
#10 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0127fff700 (LWP 2759)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0188fae4db in wait (time=18446744073709551615, this=0x21165e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2116760, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f01863f70eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2116490, th=0x23a35a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f01863f99db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x23a35a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f01863f99f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2116830, th=0x23a35a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f01863f884f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0127ffee20, parent=0x2116490, th=0x23a35a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f01863f88db in ThreadWeaver::Thread::run (this=0x23a35a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f0188fadfcb in QThreadPrivate::start (arg=0x23a35a0) at thread/qthread_unix.cpp:298
#9  0x00007f0184e62e9a in start_thread (arg=0x7f0127fff700) at pthread_create.c:308
#10 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f013b1bd700 (LWP 2760)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f017ff80dec in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f017ff80f19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f0184e62e9a in start_thread (arg=0x7f013b1bd700) at pthread_create.c:308
#4  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0126ffd700 (LWP 2765)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f018543c222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f018543c259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f0184e62e9a in start_thread (arg=0x7f0126ffd700) at pthread_create.c:308
#4  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0105573700 (LWP 3274)):
#0  0x00007f0188745b03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0180ba235f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f0180b9376c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f0180b93dd9 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f0180b93e90 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f0180ba230f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f017bfe7d18 in ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so
#7  0x00007f0184e62e9a in start_thread (arg=0x7f0105573700) at pthread_create.c:308
#8  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f016dde7700 (LWP 3276)):
#0  __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:46
#1  __pthread_mutex_unlock (mutex=0x38bafb0) at pthread_mutex_unlock.c:290
#2  0x00007f01833805d1 in g_mutex_unlock (mutex=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthread-posix.c:227
#3  0x00007f018334502a in g_main_context_poll (n_fds=1, fds=0x7f01642c9ed0, timeout=-1, context=0x402f9c0, priority=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3439
#4  g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x402f9c0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3141
#5  g_main_context_iterate (context=0x402f9c0, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#6  0x00007f0183345164 in g_main_context_iteration (context=0x402f9c0, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#7  0x00007f01833451b1 in glib_worker_main (data=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:4879
#8  0x00007f01833669e5 in g_thread_proxy (data=0x2d5b230) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#9  0x00007f0184e62e9a in start_thread (arg=0x7f016dde7700) at pthread_create.c:308
#10 0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f01199b9700 (LWP 3277)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f018338082f in g_cond_wait (cond=0x7f00ac007550, mutex=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthread-posix.c:746
#2  0x00007f017aff1f7c in gst_task_func (task=0x7f00ac0f3840) at gsttask.c:312
#3  0x00007f0183367248 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthreadpool.c:309
#4  0x00007f01833669e5 in g_thread_proxy (data=0x7f00f80034f0) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#5  0x00007f0184e62e9a in start_thread (arg=0x7f01199b9700) at pthread_create.c:308
#6  0x00007f01887514bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f018be54780 (LWP 2744)):
[KCrash Handler]
#6  g_value_set_object (value=0x7fff5df04e10, v_object=0x2) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:3411
#7  0x00007f015574d788 in gst_play_bin_get_property (object=0x1c539e0, prop_id=<optimized out>, value=0x7fff5df04e10, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f01829ea93e in object_get_property (value=0x7fff5df04e10, pspec=<optimized out>, object=0x1c539e0) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1289
#9  g_object_get_valist (object=0x1c539e0, first_property_name=<optimized out>, var_args=0x7fff5df04e78) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2014
#10 0x00007f01829ead97 in g_object_get (_object=0x1c539e0, first_property_name=0x7f015bd6aaa3 "source") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2104
#11 0x00007f015bd597d1 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=<optimized out>) at ../../gstreamer/pipeline.cpp:801
#12 0x00007f01829e2ca2 in g_closure_invoke (closure=0x1c534b0, return_value=0x0, n_param_values=2, param_values=0x7fff5df05260, invocation_hint=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gclosure.c:777
#13 0x00007f01829f3d71 in signal_emit_unlocked_R (node=<optimized out>, detail=3602, instance=<optimized out>, emission_return=0x0, instance_and_params=0x7fff5df05260) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3547
#14 0x00007f01829fc099 in g_signal_emit_valist (instance=0x1c539e0, signal_id=<optimized out>, detail=3602, var_args=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3296
#15 0x00007f01829fc242 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3352
#16 0x00007f01829e7957 in g_object_dispatch_properties_changed (object=0x1c539e0, n_pspecs=1, pspecs=0x7fff5df05628) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1041
#17 0x00007f017af963c3 in gst_object_dispatch_properties_changed (object=0x1c539e0, n_pspecs=1, pspecs=0x7fff5df05628) at gstobject.c:530
#18 0x00007f01829e9233 in g_object_notify_by_spec_internal (pspec=0x1c4e2d0, object=0x1c539e0) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1133
#19 g_object_notify (object=0x1c539e0, property_name=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1175
#20 0x00007f0155749d8f in notify_source_cb (uridecodebin=<optimized out>, pspec=<optimized out>, group=<optimized out>) at gstplaybin2.c:3445
#21 0x00007f01829e2ca2 in g_closure_invoke (closure=0x7f016401ebd0, return_value=0x0, n_param_values=2, param_values=0x7fff5df05840, invocation_hint=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gclosure.c:777
#22 0x00007f01829f3d71 in signal_emit_unlocked_R (node=<optimized out>, detail=3602, instance=<optimized out>, emission_return=0x0, instance_and_params=0x7fff5df05840) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3547
#23 0x00007f01829fc099 in g_signal_emit_valist (instance=0x2d6c8f0, signal_id=<optimized out>, detail=3602, var_args=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3296
#24 0x00007f01829fc242 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gsignal.c:3352
#25 0x00007f01829e7957 in g_object_dispatch_properties_changed (object=0x2d6c8f0, n_pspecs=1, pspecs=0x7fff5df05c08) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1041
#26 0x00007f017af963c3 in gst_object_dispatch_properties_changed (object=0x2d6c8f0, n_pspecs=1, pspecs=0x7fff5df05c08) at gstobject.c:530
#27 0x00007f01829e9233 in g_object_notify_by_spec_internal (pspec=0x1c54cf0, object=0x2d6c8f0) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1133
#28 g_object_notify (object=0x2d6c8f0, property_name=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1175
#29 0x00007f011aaf714b in setup_source (decoder=0x2d6c8f0) at gsturidecodebin.c:2015
#30 gst_uri_decode_bin_change_state (element=0x2d6c8f0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsturidecodebin.c:2493
#31 0x00007f017afafdac in gst_element_change_state (element=0x2d6c8f0, transition=<optimized out>) at gstelement.c:2761
#32 0x00007f017afb06d0 in gst_element_set_state_func (element=0x2d6c8f0, state=GST_STATE_PAUSED) at gstelement.c:2717
#33 0x00007f017af9d8ed in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0x2d6c8f0, bin=0x1c539e0) at gstbin.c:2209
#34 gst_bin_change_state_func (element=0x1c539e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#35 0x00007f017afcf445 in gst_pipeline_change_state (element=0x1c539e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#36 0x00007f015574baab in gst_play_bin_change_state (element=0x1c539e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#37 0x00007f017afafdac in gst_element_change_state (element=0x1c539e0, transition=<optimized out>) at gstelement.c:2761
#38 0x00007f017afb06d0 in gst_element_set_state_func (element=0x1c539e0, state=GST_STATE_PLAYING) at gstelement.c:2717
#39 0x00007f015bd5a3ea in Phonon::Gstreamer::Pipeline::setState (this=0x1c4f670, state=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:223
#40 0x00007f018ae3b349 in EngineController::playUrl (this=0x17f9900, url=..., offset=0) at ../../src/EngineController.cpp:559
#41 0x00007f018ae3cad2 in EngineController::play (this=0x17f9900, track=..., offset=0) at ../../src/EngineController.cpp:447
#42 0x00007f018aae51c6 in Playlist::Actions::play (this=<optimized out>, trackid=8671596227233083412, now=<optimized out>) at ../../src/playlist/PlaylistActions.cpp:222
#43 0x00007f018aae589f in Playlist::Actions::next (this=0x2131f70) at ../../src/playlist/PlaylistActions.cpp:236
#44 0x00007f018aa649c5 in Playlist::Actions::qt_static_metacall (_o=0x2131f70, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at moc_PlaylistActions.cpp:81
#45 0x00007f01890c1281 in QMetaObject::activate (sender=0x2172720, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5df06830) at kernel/qobject.cpp:3547
#46 0x00007f0189aa1132 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#47 0x00007f0189aa131f in QAction::activate (this=0x2172720, event=<optimized out>) at kernel/qaction.cpp:1257
#48 0x00007f01890c6446 in QObject::event (this=0x2172720, e=<optimized out>) at kernel/qobject.cpp:1195
#49 0x00007f0189aa13f0 in event (e=<optimized out>, this=<optimized out>) at kernel/qaction.cpp:1187
#50 QAction::event (this=<optimized out>, e=<optimized out>) at kernel/qaction.cpp:1172
#51 0x00007f018b762aaa in KAction::event (this=<optimized out>, event=0x42d8550) at ../../kdeui/actions/kaction.cpp:131
#52 0x00007f0189aa7894 in notify_helper (e=0x42d8550, receiver=0x2172720, this=0x15bcb00) at kernel/qapplication.cpp:4559
#53 QApplicationPrivate::notify_helper (this=0x15bcb00, receiver=0x2172720, e=0x42d8550) at kernel/qapplication.cpp:4531
#54 0x00007f0189aac713 in QApplication::notify (this=0x7fff5df072d0, receiver=0x2172720, e=0x42d8550) at kernel/qapplication.cpp:4420
#55 0x00007f018b84b9e6 in KApplication::notify (this=0x7fff5df072d0, receiver=0x2172720, event=0x42d8550) at ../../kdeui/kernel/kapplication.cpp:311
#56 0x00007f01890ace9c in QCoreApplication::notifyInternal (this=0x7fff5df072d0, receiver=0x2172720, event=0x42d8550) at kernel/qcoreapplication.cpp:876
#57 0x00007f01890b0c6a in sendEvent (event=0x42d8550, receiver=0x2172720) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#58 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x144a1f0) at kernel/qcoreapplication.cpp:1500
#59 0x00007f01890dbf93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#60 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#61 0x00007f0183344d53 in g_main_dispatch (context=0x15c1100) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:2539
#62 g_main_context_dispatch (context=0x15c1100) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3075
#63 0x00007f01833450a0 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x15c1100, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3146
#64 g_main_context_iterate (context=0x15c1100, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#65 0x00007f0183345164 in g_main_context_iteration (context=0x15c1100, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#66 0x00007f01890dc3bf in QEventDispatcherGlib::processEvents (this=0x144bad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#67 0x00007f0189b4fd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#68 0x00007f01890abc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#69 0x00007f01890abed7 in QEventLoop::exec (this=0x7fff5df07260, flags=...) at kernel/qeventloop.cpp:204
#70 0x00007f01890b0f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#71 0x0000000000408e4e in main (argc=1, argv=0x7fff5df09758) at ../../src/main.cpp:303

Possible duplicates by query: bug 302453.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-07-12 17:10:30 UTC
As the backtrace shows, this is not an amarok problem, but a phonon-backend-gstreamer one.

*** This bug has been marked as a duplicate of bug 290706 ***
Comment 2 o.siess 2012-07-15 14:35:57 UTC
Created attachment 72534 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) "release 513" using Qt 4.8.2

- What I was doing when the application crashed:

opened firefox
opend amarok
listend to the default amarok theme (first time i opend it)
default theme ended 6 seconds to early. so i wantet to start it again.-> crash

-- Backtrace (Reduced):
#6  0x00007f649212ed2a in g_value_set_object (value=0x7ffff076fec0, v_object=0x7f643c007220) at gobject.c:3139
#7  0x00007f647e14b56f in gst_play_bin_get_property (object=, prop_id=<optimized out>, value=0x7ffff076fec0, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f649212c66e in object_get_property (value=0x7ffff076fec0, pspec=<optimized out>, object=) at gobject.c:1138
#9  g_object_get_valist (object=, first_property_name=<optimized out>, var_args=0x7ffff076ff28) at gobject.c:1794
#10 0x00007f649212cac7 in g_object_get (_object=0xc0ff90, first_property_name=0x7f647ffb4fbb "source") at gobject.c:1884
Comment 3 Myriam Schweingruber 2012-07-16 22:41:42 UTC
(In reply to comment #2)
> Created attachment 72534 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) "release 513" using Qt 4.8.2
> 
Please do NOT attach backtraces to bug reports closed as duplicates, and do not attach backtraces to reports that already have all the necessary information.